draw a pline

Discussion in 'AutoCAD' started by yopyop, Apr 4, 2005.

  1. yopyop

    yopyop Guest

    hello
    i want to draw a pline with a list of point a try

    (defun DRAW::pOLYLIGNE (pts) (setvar "cmdecho" 0)
    (command "_.PLINE" (car pts) (foreach p (cdr pts) (command p)))
    (princ)
    )

    or this
    (defun DRAW-POLYLIGNE (pts) (command "_PLINE") (mapcar 'command pts)
    (command ""))

    but a have always 1 2 3 on prompt how to make this without

    thanks
     
    yopyop, Apr 4, 2005
    #1
  2. yopyop

    yopyop Guest

    YES now it's ok with entmake

    (defun trace::po(liste)
    (entmake
    (append
    (list
    '(0 . "LWPOLYLINE")
    '(100 . "AcDbEntity")
    '(100 . "AcDbPolyline")
    (cons 90 (length liste)))
    (mapcar '(lambda (x)(cons 10 x))liste))))
     
    yopyop, Apr 4, 2005
    #2
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.